Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.hw.verilog
Class SerialLink

    java.lang.Object
      rdlc.hw.Link_Standard
          rdlc.hw.verilog.SerialLink

All Implemented Interfaces:
  Link

    public class SerialLink

extends Link_Standard

A simple synchronous bit serial link generator class.

Version:
  $Revision: 1.19 $
Author:
  Greg Gibeling

Field Summary

Fields inherited from class rdlc.hw.Link_Standard
`accurateSim, errorLog, module`

Constructor Summary
`SerialLink(java.lang.Boolean _accurateSim, Log errorLog)`

Method Summary
`ModuleInstance_Indirect` | `generateInstance(UnitPort unitPort, Namespace _namespace, Library library)` Generate an instance of the generic link endpoint module which will transport the marshalled messages, or receive and generate the unmarshalled messages.
`ModuleWireGroup` | `getWires(boolean input)` Simple accessor.
`java.lang.String` | `getWiresName()` Simple accessor.
`void` | `notifyPort(UnitPort unitPort)` Provide early notification of the unit port this link endpoint will be for.

Methods inherited from class rdlc.hw.Link_Standard
`generate, getModule`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SerialLink

    public SerialLink(java.lang.Boolean _accurateSim,
                      Log errorLog)

See Also:
  `Link_Standard.Link_Standard(Boolean, Log)`

Method Detail

### generateInstance

    public ModuleInstance_Indirect generateInstance(UnitPort unitPort,
                                                    Namespace _namespace,
                                                    Library library)

  Description copied from class: `Link_Standard`
  Generate an instance of the generic link endpoint module which will transport the marshalled messages, or receive and generate the unmarshalled messages.

  Specified by:
    `generateInstance` in class `Link_Standard`
  Parameters:
    `unitPort` - The unit port this link endpoint is for.
    `_namespace` - The namespace to create all modules in.
    `library` - The hardware library from which to get standard components.
  Returns:
    An instance of the standard link endpoint module which can be used by the generic encapsulation.
  See Also:
    `Link_Standard.generateInstance(UnitPort, Namespace, Library)`

### notifyPort

    public void notifyPort(UnitPort unitPort)

  Description copied from class: `Link_Standard`
  Provide early notification of the unit port this link endpoint will be for.

  Specified by:
    `notifyPort` in class `Link_Standard`
  Parameters:
    `unitPort` - The unit port this link endpoint is for.
  See Also:
    `Link_Standard.notifyPort(UnitPort)`

### getWires

    public ModuleWireGroup getWires(boolean input)

  Description copied from interface: `Link`
  Simple accessor.

  Parameters:
    `input` - `true` if the wires should correspond to an input port.
  Returns:
    The group of wires used by the link. Present in every module which lies along the complete channel path.
  See Also:
    `Link.getWires(boolean)`

### getWiresName

    public java.lang.String getWiresName()

  Description copied from interface: `Link`
  Simple accessor.

  Returns:
    The name of the wire group returned by getWires().
  See Also:
    `Link.getWiresName()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD